This API allows to you to manage coupons.
- Get current user's reward chains
LiveOps API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
LiveOps API provides endpoints to drive ongoing player engagement with dynamic promotions and personalized experiences. Use the endpoints to manage coupons, promo codes, discounts, bonuses, unique catalog offers, reward chains, daily chains, offer chains, and upsell.
Personalized catalog
This API allows to specify rules for user attributes. If the user meets all conditions for a concrete rule, personalized items will be shown.
For personalized promotions see Promotions section.
To pass attributes before a purchase, you can use Xsolla Login API or pass them into user.attributes property while generating token using Pay Station API.
Request
Client endpoint. Gets the current user’s reward chains.
All projects have the limitation to the number of items that you can get in the response. The default and maximum value is 50 items per response. To get more data page by page, use limit and offset fields.
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
- Mock serverhttps://xsolla.redocly.app/_mock/api/liveops/v2/project/{project_id}/user/reward_chain
- https://store.xsolla.com/api/v2/project/{project_id}/user/reward_chain
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/api/liveops/v2/project/44056/user/reward_chain?limit=50&offset=0' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "has_more": false, "total_items_count": 1, "items": [ { … }, { … } ] }
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
- Mock serverhttps://xsolla.redocly.app/_mock/api/liveops/v2/project/{project_id}/user/reward_chain/{reward_chain_id}/balance
- https://store.xsolla.com/api/v2/project/{project_id}/user/reward_chain/{reward_chain_id}/balance
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://xsolla.redocly.app/_mock/api/liveops/v2/project/44056/user/reward_chain/101/balance \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "sku": "com.xsolla.value_point_1", "name": "Value point", "image_url": "https://cdn3.xsolla.com/img/misc/images/54c0cf9d345817cdacfdde198db178e0.jpg", "description": null, "long_description": null, "amount": 130, "is_clan": false }
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
- Mock serverhttps://xsolla.redocly.app/_mock/api/liveops/v2/project/{project_id}/user/reward_chain/{reward_chain_id}/step/{step_id}/claim
- https://store.xsolla.com/api/v2/project/{project_id}/user/reward_chain/{reward_chain_id}/step/{step_id}/claim
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://xsolla.redocly.app/_mock/api/liveops/v2/project/44056/user/reward_chain/101/step/120/claim \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'